Bug 150956 - The hidden bookmarks appear in Writer's document body.
Summary: The hidden bookmarks appear in Writer's document body.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.5.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.5.0 inReleaseNotes:7.5
Keywords: filter:docx
Depends on:
Blocks: Writer-UX Bookmarks
  Show dependency treegraph
 
Reported: 2022-09-14 13:10 UTC by NISZ LibreOffice Team
Modified: 2022-12-04 22:26 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
file for testing (132.86 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2022-09-14 13:10 UTC, NISZ LibreOffice Team
Details
Picture about the problem (184.29 KB, image/png)
2022-09-14 13:11 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2022-09-14 13:10:08 UTC
Description:
In the documentum body appears the hidden bookmarks in Writer not like in MSO.

Steps to Reproduce:
1. Open the attached file


Actual Results:
The hidden bookmarks appears in the document body too.

Expected Results:
The hidden ones have to be hidden.
And they don't appear in Writer's document body.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 7e8ba44fed9a20b5d226b9d3733b79a35acbbe00
CPU threads: 8; OS: Windows 10.0 Build 19044; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL threaded
Comment 1 NISZ LibreOffice Team 2022-09-14 13:10:52 UTC
Created attachment 182442 [details]
file for testing
Comment 2 NISZ LibreOffice Team 2022-09-14 13:11:23 UTC
Created attachment 182443 [details]
Picture about the problem
Comment 3 Commit Notification 2022-09-16 09:34:25 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5e71ec6aa0d4f9971f5e2b6f7091d18668c2f0b9

tdf#150790 tdf#150791 tdf#150947 tdf#150956 sw, a11y: fix visible bookmarks

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 NISZ LibreOffice Team 2022-09-27 10:29:14 UTC
Verified in:
Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: d3050ff4a1355f7ebd3d4e7ddc8fb64f2b8894dd
CPU threads: 8; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL threaded